module "gitea_database" {
  source = "../../db/mariadb"

  namespace = kubernetes_namespace.gitea.metadata[0].name
  app_name  = var.app_config.db_name

  app_password  = var.app_config.db_passwd
  root_password = var.db_root_password

  retention_days = var.backup_retention_days
  cron_schedule  = var.backup_cron_schedule

  database_folder = local.gitea_db_path
  backup_folder   = var.backup_folder

  tls_enabled = var.tls_enabled
  issuer      = var.issuer
}
